UbixOS V2 2.0

Data Structures | Macros | Functions | Variables
sde.h File Reference
`#include <sys/types.h>`
`#include <sys/sysproto.h>`
Include dependency graph for sde.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | sdeWindows

## Macros
#define | drawWindow 3
#define | killWindow 4
#define | registerWindow 1
#define | windowReady 2

## Functions
void | sdeThread ()
int | sysSDE (struct thread *td, struct sys_sde_args *args)

## Variables
struct sdeWindows * | windows

## Macro Definition Documentation

## ◆ drawWindow

#define drawWindow 3

Definition at line 40 of file sde.h.

## ◆ killWindow

#define killWindow 4

Definition at line 41 of file sde.h.

## ◆ registerWindow

#define registerWindow 1

Definition at line 38 of file sde.h.

## ◆ windowReady

#define windowReady 2

Definition at line 39 of file sde.h.

## Function Documentation

## ◆ sdeThread()

void sdeThread | ( |  | ) |

Definition at line 51 of file main.cc.

References sdeWindows::buf, drawWindow, execThread(), vitalsStruct::font, kfree(), killWindow, kprintf(), sdeWindows::next, ogprintOff, sdeWindows::pid, sdeWindows::prev, printOff, registerWindow, sched_yield(), vitalsStruct::screen, sdeTestThread(), sdeWindows::status, systemVitals, VMM_KEEP, vmm_mapFromTask(), vmm_unmapPages(), windowReady, and windows.

Referenced by systemTask().

Here is the call graph for this function:

## ◆ sysSDE()

int sysSDE | ( | struct thread * | td,
|  | struct sys_sde_args * | args
| ) |  |

Definition at line 45 of file sde.cc.

References _current, sys_sde_args::cmd, drawWindow, taskStruct::id, killWindow, kmalloc(), kprintf(), sdeWindows::next, sdeWindows::prev, sys_sde_args::ptr, registerWindow, vitalsStruct::screen, systemVitals, thread::td_retval, windowReady, and windows.

Here is the call graph for this function:

## Variable Documentation

## ◆ windows

struct sdeWindows* windows

Definition at line 43 of file sde.cc.

Referenced by sdeThread(), and sysSDE().